# Filename: tri_class_faces.py
# Purpose: A generator to move through each facet of a triangulation.
# Returns: A list of node indices for each facet.

from maptek import vulcan

input_tri = 'cube.00t'  # input tri

with vulcan.triangulation(input_tri) as tri:  # Open triangulation in read mode
    for face in tri.faces:
        print(face)